%define		_class		I18Nv2
%define		upstream_name	%{_class}

%global		__requires_exclude pear\\(PHPUnit.php\\)

Name:		php-pear-%{upstream_name}
Version:	0.11.4
Release:	%mkrel 12
Summary:	Internationalization
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/I18Nv2/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-iconv
BuildArch:	noarch
BuildRequires:	php-pear

%description
This package provides basic support to localize your application, like
locale based formatting of dates, numbers and currency.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}

#%post
#%if %mdkversion < 201000
#pear install --nodeps --soft --force --register-only \
#    %{_datadir}/pear/packages/%{upstream_name}.xml >/dev/null || :
#%endif

#%preun
#%if %mdkversion < 201000
#if [ "$1" -eq "0" ]; then
#    pear uninstall --nodeps --ignore-errors --register-only \
#        %{pear_name} >/dev/null || :
#fi
#%endif

%files
%doc %{upstream_name}-%{version}/docs/examples
%{_datadir}/pear/%{_class}.php
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 0.11.4-12.mga6
+ Revision: 964701
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.11.4-11.mga5
+ Revision: 747731
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.4-10.mga5
+ Revision: 687309
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.11.4-9.mga4
+ Revision: 516911
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.11.4-8.mga3
+ Revision: 376728
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 17 2011 spuhler <spuhler> 0.11.4-7.mga1
+ Revision: 20895
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-I18Nv2

